//============================================================//
// Nitro Golden Top  File rev0.91 ============================//
//============================================================//
module sample_top(
// REF CLOCK IN =========================================//
//	input		[1:0]			REFCLK_L0_P,	//(Default:100MHz,if S1=on frSMA )
//	input						REFCLK_148M_P,
//	input						REFCLK_125M_P,
// CLOCK IN =============================================//
	input						CLKIN_DDR3_50M_TOP,
	input						CLKIN_DDR3_50M_BOT,
	input						CLKIN_100M,
	input						CLKIN_74p25M,
	input						CLKIN_27M,
// USER SW ==============================================//
	input		[2:0]			USER_PB,
	input		[1:0]			USER_DIP,
// USER LED =============================================//
	output	[3:0]			USER_LED,
// USER-GPIO ============================================//
//	output	[5:0]			USER_GPIO,
// CvP CONFDONE =========================================//
//	output					CvP_CONFDONE,
// Si5338-CTRL ==========================================//
//	inout						Si5338_SDA,
//	output					Si5338_SCL,
//	input						Si5338_INTRPT,
// HSMC PORT-A ==========================================//
//	inout						HSMA_SDA,
//	inout						HSMA_SCL,
//	input						HSMA_CLK_IN0,
//	input		[2:1]			HSMA_CLK_IN_p,
//	output					HSMA_CLK_OUT0,
//	output	[2:1]			HSMA_CLK_OUT_p,
//	inout		[3:0]			HSMA_D,			//HSMA_D[2] = nPERSTL1
//	output	[16:0]		HSMA_TX_D_p,
//	input		[16:0]		HSMA_RX_D_p,
//	output	[3:0]			HSMA_TX_p,
//	input		[3:0]			HSMA_RX_p,
// HSMC PORT-B ==========================================//
//	inout						HSMB_SDA,
//	inout						HSMB_SCL,
//	input						HSMB_CLK_IN0,
//	input		[2:1]			HSMB_CLK_IN_p,
//	output					HSMB_CLK_OUT0,
//	output	[2:1]			HSMB_CLK_OUT_p,
//	inout		[3:0]			HSMB_D, 			//HSMB_D[2] = nPERSTL0
//	output	[16:0]		HSMB_TX_D_p,
//	input		[16:0]		HSMB_RX_D_p,
//	output	[3:0]			HSMB_TX_p,
//	input		[3:0]			HSMB_RX_p,
// HSMC PORT-C ==========================================//
//	inout						HSMC_SDA,
//	inout						HSMC_SCL,
//	input						HSMC_CLK_IN0,
//	output					HSMC_CLK_OUT0,
//	inout		[79:0]		HSMC_D,
// DDR3 x32 TOP =========================================//
	output 	[12:0] 		DDR3_x32_TOP_A,
	output 	[2:0] 		DDR3_x32_TOP_BA,
	output 					DDR3_x32_TOP_CK,
	output 					DDR3_x32_TOP_CKn,
	output 					DDR3_x32_TOP_CKE,
	output 					DDR3_x32_TOP_CSn,
	output 	[3:0] 		DDR3_x32_TOP_DM,
	output 					DDR3_x32_TOP_RASn,
	output 					DDR3_x32_TOP_CASn,
	output 					DDR3_x32_TOP_WEn,
	output 					DDR3_x32_TOP_RESETn,
	inout 	[31:0] 		DDR3_x32_TOP_DQ,
	inout 	[3:0] 		DDR3_x32_TOP_DQS,
	inout 	[3:0] 		DDR3_x32_TOP_DQSn,
	output 					DDR3_x32_TOP_ODT,
	input						DDR3_x32_TOP_OCT_RZQIN,
// DDR3 x64 TOP =========================================//
	output 	[12:0] 		DDR3_x64_BOT_A,
	output 	[2:0] 		DDR3_x64_BOT_BA,
	output 	[1:0]			DDR3_x64_BOT_CK,
	output 	[1:0]			DDR3_x64_BOT_CKn,
	output 					DDR3_x64_BOT_CKE,
	output 					DDR3_x64_BOT_CSn,
	output 	[7:0] 		DDR3_x64_BOT_DM,
	output 					DDR3_x64_BOT_RASn,
	output 					DDR3_x64_BOT_CASn,
	output 					DDR3_x64_BOT_WEn,
	output 					DDR3_x64_BOT_RESETn,
	inout 	[63:0] 		DDR3_x64_BOT_DQ,
	inout 	[7:0] 		DDR3_x64_BOT_DQS,
	inout 	[7:0] 		DDR3_x64_BOT_DQSn,
	output 					DDR3_x64_BOT_ODT,
	input						DDR3_x64_BOT_OCT_RZQIN
	);
	
	
	
	
wire		tfg_bot_status_pass;
wire		tfg_bot_status_test_complete;
wire		tfg_top_status_pass;
wire		tfg_top_status_test_complete;
	
sample_system u0 (
		.master_reset_n                        ( USER_PB[0]						),            	//              master.reset_n

      .clk_50m_top_clk                       ( CLKIN_DDR3_50M_TOP				),            	//         clk_50m_top.clk
      .clk_50m_bot_clk                       ( CLKIN_DDR3_50M_BOT				),            	//         clk_50m_bot.clk
		
		.ddr3_x32_top_memory_mem_a             ( DDR3_x32_TOP_A					),            	// ddr3_x32_top_memory.mem_a
		.ddr3_x32_top_memory_mem_ba            ( DDR3_x32_TOP_BA					),            	//                    .mem_ba
		.ddr3_x32_top_memory_mem_ck            ( DDR3_x32_TOP_CK					),            	//                    .mem_ck
		.ddr3_x32_top_memory_mem_ck_n          ( DDR3_x32_TOP_CKn				),          	//                    .mem_ck_n
		.ddr3_x32_top_memory_mem_cke           ( DDR3_x32_TOP_CKE				),           	//                    .mem_cke
		.ddr3_x32_top_memory_mem_cs_n          ( DDR3_x32_TOP_CSn				),          	//                    .mem_cs_n
		.ddr3_x32_top_memory_mem_dm            ( DDR3_x32_TOP_DM					),            	//                    .mem_dm
		.ddr3_x32_top_memory_mem_ras_n         ( DDR3_x32_TOP_RASn				),         		//                    .mem_ras_n
		.ddr3_x32_top_memory_mem_cas_n         ( DDR3_x32_TOP_CASn				),         		//                    .mem_cas_n
		.ddr3_x32_top_memory_mem_we_n          ( DDR3_x32_TOP_WEn				),          	//                    .mem_we_n
		.ddr3_x32_top_memory_mem_reset_n       ( DDR3_x32_TOP_RESETn			),       		//                    .mem_reset_n
		.ddr3_x32_top_memory_mem_dq            ( DDR3_x32_TOP_DQ					),            	//                    .mem_dq
		.ddr3_x32_top_memory_mem_dqs           ( DDR3_x32_TOP_DQS				),           	//                    .mem_dqs
		.ddr3_x32_top_memory_mem_dqs_n         ( DDR3_x32_TOP_DQSn				),         		//                    .mem_dqs_n
		.ddr3_x32_top_memory_mem_odt           ( DDR3_x32_TOP_ODT				),           	//                    .mem_odt
		.ddr3_x32_top_oct_rzqin                ( DDR3_x32_TOP_OCT_RZQIN		),     			//    ddr3_x32_top_oct.rzqin
		.ddr3_x32_top_status_local_init_done   ( 										),   				// ddr3_x32_top_status.local_init_done
		.ddr3_x32_top_status_local_cal_success ( 										), 				//                    .local_cal_success
		.ddr3_x32_top_status_local_cal_fail    ( 										),    			//                    .local_cal_fail
		
	  .ddr3_x64_bot_memory_mem_a             	( DDR3_x64_BOT_A					),             // ddr3_x64_bot_memory.mem_a
	  .ddr3_x64_bot_memory_mem_ba            	( DDR3_x64_BOT_BA					),            	//                    .mem_ba
	  .ddr3_x64_bot_memory_mem_ck            	( DDR3_x64_BOT_CK					),            	//                    .mem_ck
	  .ddr3_x64_bot_memory_mem_ck_n          	( DDR3_x64_BOT_CKn				),          	//                    .mem_ck_n
	  .ddr3_x64_bot_memory_mem_cke          	( DDR3_x64_BOT_CKE				),           	//                    .mem_cke
	  .ddr3_x64_bot_memory_mem_cs_n          	( DDR3_x64_BOT_CSn				),          	//                    .mem_cs_n
	  .ddr3_x64_bot_memory_mem_dm            	( DDR3_x64_BOT_DM					),            	//                    .mem_dm
	  .ddr3_x64_bot_memory_mem_ras_n         	( DDR3_x64_BOT_RASn				),         		//                    .mem_ras_n
	  .ddr3_x64_bot_memory_mem_cas_n         	( DDR3_x64_BOT_CASn				),         		//                    .mem_cas_n
	  .ddr3_x64_bot_memory_mem_we_n          	( DDR3_x64_BOT_WEn				),          	//                    .mem_we_n
	  .ddr3_x64_bot_memory_mem_reset_n       	( DDR3_x64_BOT_RESETn			),      	 		//                    .mem_reset_n
	  .ddr3_x64_bot_memory_mem_dq            	( DDR3_x64_BOT_DQ					),            	//                    .mem_dq
	  .ddr3_x64_bot_memory_mem_dqs           	( DDR3_x64_BOT_DQS				),          	//                    .mem_dqs
	  .ddr3_x64_bot_memory_mem_dqs_n         	( DDR3_x64_BOT_DQSn				),         		//                    .mem_dqs_n
	  .ddr3_x64_bot_memory_mem_odt           	( DDR3_x64_BOT_ODT				),           	//                    .mem_odt
	  .ddr3_x64_bot_oct_rzqin                	( DDR3_x64_BOT_OCT_RZQIN		),         		//    ddr3_x64_bot_oct.rzqin
	  
	  .ddr3_x64_bot_status_local_init_done   	(										),   				// ddr3_x64_bot_status.local_init_done
	  .ddr3_x64_bot_status_local_cal_success 	(										),			 		//                    .local_cal_success
	  .ddr3_x64_bot_status_local_cal_fail    	(										),    			//                    .local_cal_fail
	  
	  
	  .tfg_bot_status_pass                   	( tfg_bot_status_pass			),            	//      tfg_bot_status.pass
	  .tfg_bot_status_fail                   	(										),            	//                    .fail
	  .tfg_bot_status_test_complete          	( tfg_bot_status_test_complete),   				//                    .test_complete
	  .tfg_top_status_pass                   	( tfg_top_status_pass			),            	//      tfg_top_status.pass
	  .tfg_top_status_fail                   	(										),             //                    .fail
	  .tfg_top_status_test_complete          	( tfg_top_status_test_complete)    				//                    .test_complete
);


assign USER_LED[0]	= !tfg_bot_status_pass;
assign USER_LED[1]	= !tfg_bot_status_test_complete;
assign USER_LED[2]	= !tfg_top_status_pass;
assign USER_LED[3]	= !tfg_top_status_test_complete;





endmodule
